package com.ruoyi.business.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 公司对象 s_company
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class SCompany extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 公司id */
    private Long companyId;

    /** 区域名称 */
    @Excel(name = "区域名称")
    private String areaName;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String company;

    /** 机构代码 */
    @Excel(name = "机构代码")
    private String org;

    /** 法人 */
    @Excel(name = "法人")
    private String person;

    /** 注册资本 */
    @Excel(name = "注册资本")
    private String register;

    /** 成立日期 */
    @Excel(name = "成立日期")
    private Long setupTime;

    /** 注册地址 */
    @Excel(name = "注册地址")
    private String addr;

    /** 经营状态 */
    @Excel(name = "经营状态")
    private String state;

    /** 经营范围 */
    @Excel(name = "经营范围")
    private String gange;

    /** 是招标公司 */
    @Excel(name = "是招标公司")
    private Integer inviteBid;

    /** 是中标公司 */
    @Excel(name = "是中标公司")
    private Integer winBid;

    /** 招标项目数 */
    @Excel(name = "招标项目数")
    private Integer inviteCount;

    /** 中标项目数 */
    @Excel(name = "中标项目数")
    private Integer winCount;

    /** 招标金额 */
    @Excel(name = "招标金额")
    private BigDecimal inviteSum;

    /** 中标金额 */
    @Excel(name = "中标金额")
    private BigDecimal winSum;

    /** 收藏次数 */
    @Excel(name = "收藏次数")
    private Long storeNumber;

    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }
    public void setCompany(String company) 
    {
        this.company = company;
    }

    public String getCompany() 
    {
        return company;
    }
    public void setOrg(String org) 
    {
        this.org = org;
    }

    public String getOrg() 
    {
        return org;
    }
    public void setPerson(String person) 
    {
        this.person = person;
    }

    public String getPerson() 
    {
        return person;
    }
    public void setRegister(String register) 
    {
        this.register = register;
    }

    public String getRegister() 
    {
        return register;
    }
    public void setSetupTime(Long setupTime) 
    {
        this.setupTime = setupTime;
    }

    public Long getSetupTime() 
    {
        return setupTime;
    }
    public void setAddr(String addr) 
    {
        this.addr = addr;
    }

    public String getAddr() 
    {
        return addr;
    }
    public void setState(String state) 
    {
        this.state = state;
    }

    public String getState() 
    {
        return state;
    }
    public void setGange(String gange) 
    {
        this.gange = gange;
    }

    public String getGange() 
    {
        return gange;
    }
    public void setInviteBid(Integer inviteBid) 
    {
        this.inviteBid = inviteBid;
    }

    public Integer getInviteBid() 
    {
        return inviteBid;
    }
    public void setWinBid(Integer winBid) 
    {
        this.winBid = winBid;
    }

    public Integer getWinBid() 
    {
        return winBid;
    }
    public void setInviteCount(Integer inviteCount) 
    {
        this.inviteCount = inviteCount;
    }

    public Integer getInviteCount() 
    {
        return inviteCount;
    }
    public void setWinCount(Integer winCount) 
    {
        this.winCount = winCount;
    }

    public Integer getWinCount() 
    {
        return winCount;
    }
    public void setInviteSum(BigDecimal inviteSum) 
    {
        this.inviteSum = inviteSum;
    }

    public BigDecimal getInviteSum() 
    {
        return inviteSum;
    }
    public void setWinSum(BigDecimal winSum) 
    {
        this.winSum = winSum;
    }

    public BigDecimal getWinSum() 
    {
        return winSum;
    }
    public void setStoreNumber(Long storeNumber) 
    {
        this.storeNumber = storeNumber;
    }

    public Long getStoreNumber() 
    {
        return storeNumber;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("companyId", getCompanyId())
            .append("areaName", getAreaName())
            .append("company", getCompany())
            .append("org", getOrg())
            .append("person", getPerson())
            .append("register", getRegister())
            .append("setupTime", getSetupTime())
            .append("addr", getAddr())
            .append("state", getState())
            .append("gange", getGange())
            .append("inviteBid", getInviteBid())
            .append("winBid", getWinBid())
            .append("inviteCount", getInviteCount())
            .append("winCount", getWinCount())
            .append("inviteSum", getInviteSum())
            .append("winSum", getWinSum())
            .append("storeNumber", getStoreNumber())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
